#include <vector>

#define ZT_OZNAJMUJACE 0
#define ZT_PYTAJACE 1
#define ZT_WYKRZYKNIKOWE 2

class Difon
{

public:

	void Output();

	char *m_pStr;
	int m_Param[3];
	bool m_bSam;
	
	bool IsDzwieczny();
	void ChangeToBezdzwieczny();
	void ChangeToDzwieczny();
	
};

class Sylaba
{

public:

	Sylaba() {}
	Sylaba(char *str);
	void Output();

	std::vector<Difon> m_Difony;

};

class Slowo
{

public:

	Slowo();
	void AddZnak(int znak);
	void Output();
	void Offset(int off, int len);

	Slowo ProcessSyladebilus();

	std::vector<Sylaba> m_Sylaby;
	bool m_bPrzecinek;
	int m_Pauza;

};

class Zdanie
{

public:

	Zdanie();
	void AddZnak(int znak);
	void Output();
	void CloseSlowo();
	void Close();

	std::vector<Slowo> m_Slowa;
	int m_Typ;

};


class Tekst
{

public:

	Tekst(char *fname);
	void AddZnak(int znak);
	void Output();

	std::vector<Zdanie> m_Zdania;

};

